Package org.eclipse.emf.cdo.lm.reviews

# Enum Class ReviewStatus

java.lang.Object
java.lang.Enum<ReviewStatus>
org.eclipse.emf.cdo.lm.reviews.ReviewStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ReviewStatus>`, `java.lang.constant.Constable`, `Enumerator`

public enum ReviewStatus extends Enum<ReviewStatus> implements Enumerator
A representation of the literals of the enumeration 'Review Status', and utility methods for working with them.

See Also:
  - `ReviewsPackage.getReviewStatus()`
Generated
Model

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABANDONED`
The 'Abandoned' literal object.
`DELETED`
The 'Deleted' literal object.
`NEW`
The 'New' literal object.
`OUTDATED`
The 'Outdated' literal object.
`RESTORING`
The 'Restoring' literal object.
`SOURCE_OUTDATED`
The 'Source Outdated' literal object.
`SUBMITTED`
The 'Submitted' literal object.
`TARGET_OUTDATED`
The 'Target Outdated' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABANDONED_VALUE`
The 'Abandoned' literal value.
`static final int`
`DELETED_VALUE`
The 'Deleted' literal value.
`static final int`
`NEW_VALUE`
The 'New' literal value.
`static final int`
`OUTDATED_VALUE`
The 'Outdated' literal value.
`static final int`
`RESTORING_VALUE`
The 'Restoring' literal value.
`static final int`
`SOURCE_OUTDATED_VALUE`
The 'Source Outdated' literal value.
`static final int`
`SUBMITTED_VALUE`
The 'Submitted' literal value.
`static final int`
`TARGET_OUTDATED_VALUE`
The 'Target Outdated' literal value.
`static final List<ReviewStatus>`
`VALUES`
A public read-only list of all the 'Review Status' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ReviewStatus`
`get(int value)`
Returns the 'Review Status' literal with the specified integer value.
`static ReviewStatus`
`get(String literal)`
Returns the 'Review Status' literal with the specified literal value.
`static ReviewStatus`
`getByName(String name)`
Returns the 'Review Status' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`static ReviewStatus`
`getOutdated(boolean sourceOutdated, boolean targetOutdated)`
`int`
`getValue()`
`boolean`
`isClosed()`
`boolean`
`isOpen()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ReviewStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReviewStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final ReviewStatus NEW
The 'New' literal object.

See Also:
  - `NEW_VALUE`
Generated
Ordered

### SOURCE_OUTDATED

public static final ReviewStatus SOURCE_OUTDATED
The 'Source Outdated' literal object.

See Also:
  - `SOURCE_OUTDATED_VALUE`
Generated
Ordered

### TARGET_OUTDATED

public static final ReviewStatus TARGET_OUTDATED
The 'Target Outdated' literal object.

See Also:
  - `TARGET_OUTDATED_VALUE`
Generated
Ordered

### OUTDATED

public static final ReviewStatus OUTDATED
The 'Outdated' literal object.

See Also:
  - `OUTDATED_VALUE`
Generated
Ordered

### SUBMITTED

public static final ReviewStatus SUBMITTED
The 'Submitted' literal object.

See Also:
  - `SUBMITTED_VALUE`
Generated
Ordered

### ABANDONED

public static final ReviewStatus ABANDONED
The 'Abandoned' literal object.

See Also:
  - `ABANDONED_VALUE`
Generated
Ordered

### RESTORING

public static final ReviewStatus RESTORING
The 'Restoring' literal object.

See Also:
  - `RESTORING_VALUE`
Generated
Ordered

### DELETED

public static final ReviewStatus DELETED
The 'Deleted' literal object.

See Also:
  - `DELETED_VALUE`
Generated
Ordered

## Field Details

### NEW_VALUE

public static final int NEW_VALUE
The 'New' literal value.

See Also:
  - `NEW`
  - Constant Field Values
Generated
Model
  name="New"
Ordered

### SOURCE_OUTDATED_VALUE

public static final int SOURCE_OUTDATED_VALUE
The 'Source Outdated' literal value.

See Also:
  - `SOURCE_OUTDATED`
  - Constant Field Values
Generated
Model
  name="SourceOutdated"
Ordered

### TARGET_OUTDATED_VALUE

public static final int TARGET_OUTDATED_VALUE
The 'Target Outdated' literal value.

See Also:
  - `TARGET_OUTDATED`
  - Constant Field Values
Generated
Model
  name="TargetOutdated"
Ordered

### OUTDATED_VALUE

public static final int OUTDATED_VALUE
The 'Outdated' literal value.

See Also:
  - `OUTDATED`
  - Constant Field Values
Generated
Model
  name="Outdated"
Ordered

### SUBMITTED_VALUE

public static final int SUBMITTED_VALUE
The 'Submitted' literal value.

See Also:
  - `SUBMITTED`
  - Constant Field Values
Generated
Model
  name="Submitted"
Ordered

### ABANDONED_VALUE

public static final int ABANDONED_VALUE
The 'Abandoned' literal value.

See Also:
  - `ABANDONED`
  - Constant Field Values
Generated
Model
  name="Abandoned"
Ordered

### RESTORING_VALUE

public static final int RESTORING_VALUE
The 'Restoring' literal value.

See Also:
  - `RESTORING`
  - Constant Field Values
Generated
Model
  name="Restoring"
Ordered

### DELETED_VALUE

public static final int DELETED_VALUE
The 'Deleted' literal value.

See Also:
  - `DELETED`
  - Constant Field Values
Generated
Model
  name="Deleted"
Ordered

### VALUES

public static final List<ReviewStatus> VALUES
A public read-only list of all the 'Review Status' enumerators.

Generated

## Method Details

### values

public static ReviewStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReviewStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ReviewStatus get(String literal)
Returns the 'Review Status' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.
Generated

### getByName

public static ReviewStatus getByName(String name)
Returns the 'Review Status' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.
Generated

### get

public static ReviewStatus get(int value)
Returns the 'Review Status' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.
Generated

### getOutdated

public static ReviewStatus getOutdated(boolean sourceOutdated, boolean targetOutdated)

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ReviewStatus>`
Generated

### isOpen

public boolean isOpen()

### isClosed

public boolean isClosed()